﻿Imports Telerik.Windows.Controls

Public Class CarouselAttachedBehavior

    Public Shared Function GetLoadAttachedBehavior(obj As DependencyObject) As Boolean
        Return CBool(obj.GetValue(LoadAttachedBehaviorProperty))
    End Function

    Public Shared Sub SetLoadAttachedBehavior(obj As DependencyObject, value As Boolean)
        obj.SetValue(LoadAttachedBehaviorProperty, value)
    End Sub

    ' Using a DependencyProperty as the backing store for LoadAttachedBehavior.  This enables animation, styling, binding, etc...
    Public Shared ReadOnly LoadAttachedBehaviorProperty As DependencyProperty = DependencyProperty.RegisterAttached("LoadAttachedBehavior", GetType(Boolean), GetType(CarouselAttachedBehavior), New PropertyMetadata(AddressOf onAttachedBehaviorApplied))

    Private Shared Sub onAttachedBehaviorApplied(d As DependencyObject, e As DependencyPropertyChangedEventArgs)
        Dim carousel = TryCast(d, RadCarousel)
        AddHandler carousel.Loaded, AddressOf Carousel_Loaded
    End Sub

    Private Shared Sub Carousel_Loaded(sender As Object, e As RoutedEventArgs)
        Dim carousel = TryCast(sender, RadCarousel)
        carousel.BringDataItemIntoView(carousel.Items(0))
        carousel.SelectedItem = carousel.Items(0)
    End Sub
End Class
